API referenceMessages
POST /inbox/conversations/{id}/messages/{messageId}/reactions
Add the account's emoji reaction to a message, where supported (WhatsApp: send a reaction message instead). Queued for approval (202) while approval applies
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringConversation id
messageId*stringMessage id (Postgale or platform id)
application/json- body
emoji*string{message}
application/json- response
message?curl -X POST 'https://example.com/api/v1/inbox/conversations/string/messages/string/reactions' \ -H 'Content-Type: application/json' \ -d '{ "emoji": "string"}'Example Response
{ "message": { "id": "string", "conversationId": "string", "platformMessageId": "string", "direction": "inbound", "type": "text", "text": "string", "attachments": [ { "type": "string", "url": "string" } ], "postback": { "title": "string", "payload": "string" }, "reactions": [ { "emoji": "string", "by": "participant" } ], "replyToMid": "string", "isEcho": true, "isDeleted": true, "status": "received", "tag": "HUMAN_AGENT", "sentAt": "2019-08-24T14:15:22Z", "deliveredAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z", "source": "webhook", "content": null, "pricing": null, "error": "string", "failedAt": "2019-08-24T14:15:22Z" }}DELETE /inbox/conversations/{id}/messages/{messageId} DELETE
Delete a message on the platform where supported (else 400 not_supported); the stored copy is kept with isDeleted. Queued for approval (202) while approval applies
DELETE /inbox/conversations/{id}/messages/{messageId}/reactions DELETE
Remove the account's reaction from a message. Queued for approval (202) while approval applies